Sign inGet started

Team Management

GET
/workspaces/{workspaceId}/teams
Retrieve a list of teams within the workspace, showcasing their members count and other details.
Parameter query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
sortBy
string
Sort by field specified
Possible values: name
Payload respons
results
array of object
wajib
Tampilkan atribut turunan
results.id
string
wajib
results.workspaceId
string
wajib
results.name
string
wajib
results.description
string
wajib
results.visibility
string
wajib
results.accessibility
string
results.activeMemberCount
integer
wajib
results.pendingMemberCount
integer
wajib
results.featuredMembers
array of object
wajib
Tampilkan atribut turunan
results.featuredMembers.id
string
wajib
results.featuredMembers.type
string
wajib
results.hideFromViews
boolean
wajib
results.createdAt
string
wajib
results.updatedAt
string
wajib
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
The total number of results across all pages.
Contoh kode
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}
Retrieve information about a specific team within the workspace, including its name, and other details.
Payload respons
id
string
wajib
workspaceId
string
wajib
name
string
wajib
description
string
wajib
visibility
string
wajib
accessibility
string
activeMemberCount
integer
wajib
pendingMemberCount
integer
wajib
featuredMembers
array of object
wajib
Tampilkan atribut turunan
featuredMembers.id
string
wajib
featuredMembers.type
string
wajib
hideFromViews
boolean
wajib
createdAt
string
wajib
updatedAt
string
wajib
Contoh kode
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/teams
Create a new team within the workspace, defining its name, and other relevant attributes.
Payload permintaan
name
string
wajib
description
string
hideFromViews
boolean
members
array of object
Tampilkan parameter turunan
members.id
string
wajib
members.type
string
wajib
Payload respons
id
string
wajib
workspaceId
string
wajib
name
string
wajib
description
string
wajib
visibility
string
wajib
accessibility
string
activeMemberCount
integer
wajib
pendingMemberCount
integer
wajib
featuredMembers
array of object
wajib
Tampilkan atribut turunan
featuredMembers.id
string
wajib
featuredMembers.type
string
wajib
hideFromViews
boolean
wajib
createdAt
string
wajib
updatedAt
string
wajib
Contoh kode
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/teams/{teamId}
Modify the details of a specific team within the workspace, such as its name, or other attributes.
Payload permintaan
name
string
description
string
hideFromViews
boolean
Payload respons
id
string
wajib
workspaceId
string
wajib
name
string
wajib
description
string
wajib
visibility
string
wajib
accessibility
string
activeMemberCount
integer
wajib
pendingMemberCount
integer
wajib
featuredMembers
array of object
wajib
Tampilkan atribut turunan
featuredMembers.id
string
wajib
featuredMembers.type
string
wajib
hideFromViews
boolean
wajib
createdAt
string
wajib
updatedAt
string
wajib
Contoh kode
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/teams/{teamId}
Remove a specific team from the workspace, permanently deleting its profile and associated data.
Contoh kode
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}/members
Retrieve a list of members within the team, showcasing their names and other details.
Payload respons
results
array of object
wajib
Tampilkan atribut turunan
results.id
string
wajib
results.teamId
string
wajib
results.type
string
wajib
results.status
string
wajib
results.createdAt
string
wajib
results.updatedAt
string
wajib
Contoh kode
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/teams/{teamId}/members
Add a new member to the team.
Payload permintaan
id
string
wajib
type
string
wajib
Possible values: user
Payload respons
id
string
wajib
teamId
string
wajib
type
string
wajib
status
string
wajib
createdAt
string
wajib
updatedAt
string
wajib
Contoh kode
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Retrieve information about a specific member within the team, including their name and other details.
Payload respons
id
string
wajib
teamId
string
wajib
type
string
wajib
status
string
wajib
createdAt
string
wajib
updatedAt
string
wajib
Contoh kode
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Remove a specific member from the team.
Contoh kode
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'